Bug 75407 - [an] an(4): no carrier after short time
Summary: [an] an(4): no carrier after short time
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-22 19:40 UTC by Joe Morris
Modified: 2018-05-28 19:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Morris 2004-12-22 19:40:18 UTC
Over the summer, I sent a bug report about my Cisco Aironet 350 (mini-pci)
and interrupt issues with my machine, an IBM Thinkpad R40. These have
since been resolved (apic issue). However, I am still having problems.
After a period of time (usually around 5 minutes), my connection is
dropped, and ifconfig reports that there is no carrier. This happens on
both my university's wirless network and in my own home. There is nothing
in particular that sets it off, but usually things that require many
connections bring it down. Long ftp downloads, for example are no problem,
only reconnecting after a long download, and instant messengers cause this
too. I get no kernel messages, and sometimes (though rare) the machine
locks up. I am willing to do whatever you request to try and track this
problem down. By the way, I have tried if_ndis, and this works fine, but
I'd really like a native driver to take advantage of things such as
changing the powersavemode. I've got my dmesg below. Thanks!

Copyright (c) 1992-2004 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD 5.3-STABLE #4: Wed Dec 22 12:52:56 EST 2004
    joe@Laptopia:/usr/obj/usr/src/sys/LAPTOPIA
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Pentium(R) M processor 1400MHz (1398.82-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0x695  Stepping = 5
  Features=0xa7e9f9bf<FPU,VME,DE,PSE,TSC,MSR,MCE,CX8,SEP,MTRR,PGE,MCA,CMOV,PAT,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,TM,PBE>
real memory  = 267780096 (255 MB)
avail memory = 252375040 (240 MB)
npx0: [FAST]
npx0: <math processor> on motherboard
npx0: INT 16 interface
acpi0: <IBM TP-1P> on motherboard
acpi_ec0: <Embedded Controller: GPE 0x1c, ECDT> port 0x66,0x62 on acpi0
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x1008-0x100b on acpi0
cpu0: <ACPI CPU (3 Cx states)> on acpi0
acpi_tz0: <Thermal Zone> on acpi0
acpi_lid0: <Control Method Lid Switch> on acpi0
acpi_button0: <Sleep Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
agp0: <Intel 82855 host to AGP bridge> mem 0xd0000000-0xdfffffff at device 0.0 on pci0
pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
acpi_video0: <ACPI video extension> port 0x3000-0x30ff mem 0xc0100000-0xc010ffff,0xe0000000-0xe7ffffff irq 11 at device 0.0 on pci1
uhci0: <Intel 82801DB (ICH4) USB controller USB-A> port 0x1800-0x181f irq 11 atdevice 29.0 on pci0
uhci0: [GIANT-LOCKED]
usb0: <Intel 82801DB (ICH4) USB controller USB-A> on uhci0
usb0: USB revision 1.0
uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 82801DB (ICH4) USB controller USB-B> port 0x1820-0x183f irq 11 atdevice 29.1 on pci0
uhci1: [GIANT-LOCKED]
usb1: <Intel 82801DB (ICH4) USB controller USB-B> on uhci1
usb1: USB revision 1.0
uhub1: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 2 ports with 2 removable, self powered
uhci2: <Intel 82801DB (ICH4) USB controller USB-C> port 0x1840-0x185f irq 10 atdevice 29.2 on pci0
uhci2: [GIANT-LOCKED]
usb2: <Intel 82801DB (ICH4) USB controller USB-C> on uhci2
usb2: USB revision 1.0
uhub2: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub2: 2 ports with 2 removable, self powered
ehci0: <EHCI (generic) USB 2.0 controller> mem 0xc0000000-0xc00003ff irq 11 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
ehci_pci_attach: companion usb0
ehci_pci_attach: companion usb1
ehci_pci_attach: companion usb2
usb3: EHCI version 1.0
usb3: companion controllers, 2 ports each: usb0 usb1 usb2
usb3: <EHCI (generic) USB 2.0 controller> on ehci0
usb3: USB revision 2.0
uhub3: Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
uhub3: single transaction translator
uhub3: 6 ports with 6 removable, self powered
pcib2: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci2: <ACPI PCI bus> on pcib2
cbb0: <TI1510 PCI-CardBus Bridge> irq 11 at device 0.0 on pci2
cardbus0: <CardBus bus> on cbb0
pccard0: <16-bit PCCard bus> on cbb0
ndis0: <Cisco Systems PCI Wireless LAN Adapter> port 0x8000-0x80ff mem 0xc0400000-0xc07fffff,0xc0200000-0xc0203fff irq 10 at device 2.0 on pci2
ndis0: NDIS API version: 5.1
ndis0: Ethernet address: 00:02:8a:d8:61:29
ndis0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 1Mbps 2Mbps 5.5Mbps 11Mbps
fwohci0: <Texas Instruments TSB43AB21/A/AI/A-EP> mem 0xc0204000-0xc0207fff,0xc0209000-0xc02097ff irq 11 at device 7.0 on pci2
fwohci0: OHCI version 1.10 (ROM=0)
fwohci0: No. of Isochronous channels is 4.
fwohci0: EUI64 00:06:1b:00:20:11:1a:a1
fwohci0: Phy 1394a available S400, 1 ports.
fwohci0: Link S400, max_rec 2048 bytes.
firewire0: <IEEE1394(FireWire) bus> on fwohci0
sbp0: <SBP-2/SCSI over FireWire> on firewire0
fwe0: <Ethernet over FireWire> on firewire0
if_fwe0: Fake Ethernet address: 02:06:1b:11:1a:a1
fwe0: Ethernet address: 02:06:1b:11:1a:a1
fwe0: if_start running deferred for Giant
fwohci0: Initiate bus reset
fwohci0: node_id=0xc000ffc0, gen=1, CYCLEMASTER mode
firewire0: 1 nodes, maxhop <= 0, cable IRM = 0 (me)
firewire0: bus manager 0 (me)
pci2: <network, ethernet> at device 8.0 (no driver attached)
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH4 UDMA100 controller> port 0x1860-0x186f,0x376,0x170-0x177,0x3f6,0x1f0-0x1f7 at device 31.1 on pci0
ata0: channel #0 on atapci0
ata1: channel #1 on atapci0
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
pci0: <multimedia, audio> at device 31.5 (no driver attached)
pci0: <simple comms> at device 31.6 (no driver attached)
atkbdc0: <Keyboard controller (i8042)> port 0x64,0x60 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
psm0: <PS/2 Mouse> flags 0x6000 irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: model Synaptics Touchpad, device ID 0
fdc0: <floppy drive controller (FDE)> port 0x3f7,0x3f0-0x3f5 irq 6 drq 2 on acpi0
fdc0: [FAST]
ppc0: <Standard parallel printer port> port 0x3bc-0x3be irq 5 on acpi0
ppc0: Generic chipset (NIBBLE-only) in COMPATIBLE mode
ppbus0: <Parallel port bus> on ppc0
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
acpi_cmbat0: <Control Method Battery> on acpi0
acpi_acad0: <AC Adapter> on acpi0
orm0: <ISA Option ROMs> at iomem 0xdc000-0xdffff,0xd1000-0xd1fff,0xd0000-0xd0fff on isa0
pmtimer0 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounter "TSC" frequency 1398818404 Hz quality 800
Timecounters tick every 10.000 msec
acpi_cpu: throttling enabled, 8 steps (100% to 12.5%), currently 100.0%
ad0: 35031MB <IC25N040ATMR04-0/MO2OAD4A> [71175/16/63] at ata0-master UDMA100
acd0: CDRW <HL-DT-STCD-RW/DVD DRIVE GCC-4240N/1202> at ata1-master UDMA33
cd0 at ata1 bus 0 target 0 lun 0
cd0: <HL-DT-ST RW/DVD GCC-4240N 1202> Removable CD-ROM SCSI-0 device
cd0: 33.000MB/s transfers
cd0: cd present [25877 x 2048 byte records]
Mounting root from ufs:/dev/ad0s2a
WARNING: /usr was not properly dismounted
WARNING: /var was not properly dismounted
Enhanced Speedstep running at 1400 MHz
ndis0: detached
ndis0: <Cisco Systems PCI Wireless LAN Adapter> port 0x8000-0x80ff mem 0xc0400000-0xc07fffff,0xc0200000-0xc0203fff irq 10 at device 2.0 on pci2
ndis0: NDIS API version: 5.1
ndis0: Ethernet address: 00:02:8a:d8:61:29
ndis0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 1Mbps 2Mbps 5.5Mbps 11Mbps
pcm0: <Intel ICH4 (82801DB)> port 0x18c0-0x18ff,0x1c00-0x1cff mem 0xc0000800-0xc00008ff,0xc0000c00-0xc0000dff irq 11 at device 31.5 on pci0
pcm0: [GIANT-LOCKED]
pcm0: <Analog Devices AD1981B AC97 Codec>

Fix: 

none
How-To-Repeat:       Do some web browsing, downloading, and instant messaging for a few minutes.
Comment 1 Volker Werth freebsd_committer 2009-01-14 21:27:10 UTC
State Changed
From-To: open->feedback

Joe, 
is this report still true for recent releases? 


Comment 2 Volker Werth freebsd_committer 2009-01-14 21:27:10 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net


Over to maintainer(s).
Comment 3 Volker Werth freebsd_committer 2009-01-14 22:19:07 UTC
State Changed
From-To: feedback->suspended

mail to submitter bounces
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:47:29 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.